apiVersion: v1
items:
- apiVersion: machineconfiguration.openshift.io/v1
  kind: KubeletConfig
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"machineconfiguration.openshift.io/v1","kind":"KubeletConfig","metadata":{"annotations":{},"name":"dynamic-node"},"spec":{"autoSizingReserved":true,"machineConfigPoolSelector":{"matchLabels":{"pools.operator.machineconfiguration.openshift.io/worker":""}}}}
    creationTimestamp: "2022-11-19T09:43:29Z"
    finalizers:
    - 99-worker-generated-kubelet
    generation: 1
    name: dynamic-node
    resourceVersion: "1072810432"
    uid: 6bfddde9-38b9-49a0-a587-76e64c19aea0
  spec:
    autoSizingReserved: true
    machineConfigPoolSelector:
      matchLabels:
        pools.operator.machineconfiguration.openshift.io/worker: ""
  status:
    conditions:
    - lastTransitionTime: "2022-11-21T18:04:18Z"
      message: Success
      status: "True"
      type: Success
    - lastTransitionTime: "2022-11-21T18:52:41Z"
      message: 'could not Create/Update MachineConfig: Timeout: request did not complete
        within requested timeout - context deadline exceeded'
      status: "False"
      type: Failure
    - lastTransitionTime: "2022-11-29T15:42:18Z"
      message: Success
      status: "True"
      type: Success
kind: List
metadata:
  resourceVersion: ""
